[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.RemoveAllHandlersOfObject

Removes all handlers implemented for the specified object.

## Declaration

Source position: forms.pp line 1692

`public procedure TApplication.RemoveAllHandlersOfObject(`
`AnObject: TObject`
`); virtual;`

## Arguments

`AnObject` |  | Object instance for the handlers removed in the method.

## Description

RemoveAllHandlersOfObject ensures that all handler routines for the object specified in AnObject are removed from the method lists for each of the TApplicationHandlerType values. The RemoveAllMethodsOfObject method in each of the TMethodList instances is called to remove the handlers for the specified object.